import { Bucket, BucketProps } from 'aws-cdk-lib/aws-s3';
import { Construct } from 'constructs';
/**
 * Amazon S3 Bucket configured with best-practices and smart defaults for storing S3 access logs.
 * Default bucket name is `accesslogs-<AWS_ACCOUNT_ID>-<AWS_REGION>-<UNIQUE_ID>`
 *
 * @example
 * import * as cdk from 'aws-cdk-lib';
 * import { AccessLogsBucket } from 'aws-data-solutions-framework';
 *
 * const bucket = new AccessLogsBucket(this, 'AccessLogsBucket', {
 *  removalPolicy: RemovalPolicy.DESTROY,
 * })
 */
export declare class AccessLogsBucket extends Bucket {
    constructor(scope: Construct, id: string, props?: BucketProps);
}
