import { Bucket } from 'aws-cdk-lib/aws-s3';
import { Construct } from 'constructs';
import { AnalyticsBucketProps } from './analytics-bucket-props';
/**
* Amazon S3 Bucket configured with best-practices and defaults for analytics.
* The default bucket name is `analytics-<AWS_ACCOUNT_ID>-<AWS_REGION>-<UNIQUE_ID>`
* See documentation TODO insert link
*
* @example
* import * as cdk from 'aws-cdk-lib';
* import { AnalyticsBucket} from 'aws-data-solutions-framework';
*
* const exampleApp = new cdk.App();
* const stack = new cdk.Stack(exampleApp, 'AnalyticsBucketStack');
*
* // Set context value for global data removal policy (or set in cdk.json).
* stack.node.setContext('@aws-data-solutions-framework/removeDataOnDestroy', true);
*
* const encryptionKey = new Key(stack, 'DataKey', {
*  removalPolicy: RemovalPolicy.DESTROY,
*  enableKeyRotation: true,
* });
*
* new AnalyticsBucket(stack, 'MyAnalyticsBucket', {
*  encryptionKey,
*  removalPolicy: cdk.RemovalPolicy.DESTROY,
* });
*/
export declare class AnalyticsBucket extends Bucket {
    private static LIFECYCLE_RULE;
    constructor(scope: Construct, id: string, props: AnalyticsBucketProps);
}
